Subject: bug#15660: closed (Re: bug#15660: 24.3.50; (NS) Non-BMP character 🔔 not shown)

From: Carsten Bormann <[email-masked]>
Date: Thu, 17 Aug 2017 23:01:05 +0200

Indeed, using 26.0.50, I no longer see the problem either.
So I agree with you having closed the old ticket.

Grüße, Carsten

> On Aug 17, 2017, at 22:32, GNU bug Tracking System <[email-masked]> wrote:
> 
> Your bug report
> 
> #15660: 24.3.50; (NS) Non-BMP character 🔔 not shown
> 
> which was filed against the emacs package, has been closed.
> 
> The explanation is attached below, along with your original report.
> If you require more details, please reply to [email-masked].
> 
> -- 
> 15660: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=15660
> GNU Bug Tracking System
> Contact [email-masked] with problems
> 
> From: Alan Third <[email-masked]>
> Subject: Re: bug#15660: 24.3.50; (NS) Non-BMP character 🔔 not shown
> Date: August 17, 2017 at 22:31:24 GMT+2
> To: Carsten Bormann <[email-masked]>
> Cc: [email-masked]
> 
> 
> Carsten Bormann <[email-masked]> writes:
> 
>> (insert-char 128276 1 t)
>> 
>> The inserted character is shown only as a background-color box, although
>> the system has fonts for that character (Apple Color Emoji, on this machine Symbola too).
>> 
>> (what-cursor-position t) says:
>> 
>>             position: 192 of 192 (99%), column: 0
>>            character: 🔔 (displayed as 🔔) (codepoint 128276, #o372424, #x1f514)
>>    preferred charset: unicode (Unicode (ISO10646))
>> code point in charset: 0x1F514
>>               script: symbol
>>               syntax: w 	which means: word
>>             category: .:Base
>>             to input: type "C-x 8 RET HEX-CODEPOINT" or "C-x 8 RET NAME"
>>          buffer code: #xF0 #x9F #x94 #x94
>>            file code: #xF0 #x9F #x94 #x94 (encoded by coding system utf-8-unix)
>>              display: no font available
>> 
>> Character code properties: customize what to show
>>  name: BELL
>>  general-category: So (Symbol, Other)
>>  decomposition: (128276) ('🔔')
>> 
>> There are text properties here:
>>  fontified            t
> 
> Hi, I can see this bell character fine using Symbola on Emacs 25+. I
> think it's probably been fixed at some point in the past.
> 
> For more information on color emojis on macos see:
> 
>    https://lists.gnu.org/archive/html/emacs-devel/2016-06/msg00630.html
> 
> I'm going to close this bug report, but if you're still not seeing
> emojis using Symbola, please reply and let us know.
> -- 
> Alan Third
> 
> 
> 
> 
> From: Carsten Bormann <[email-masked]>
> Subject: 24.3.50; (NS) Non-BMP character 🔔 not shown
> Date: October 20, 2013 at 13:22:25 GMT+2
> To: "[email-masked]" <[email-masked]>
> 
> 
> (insert-char 128276 1 t)
> 
> The inserted character is shown only as a background-color box, although
> the system has fonts for that character (Apple Color Emoji, on this machine Symbola too).
> 
> (what-cursor-position t) says:
> 
>             position: 192 of 192 (99%), column: 0
>            character: 🔔 (displayed as 🔔) (codepoint 128276, #o372424, #x1f514)
>    preferred charset: unicode (Unicode (ISO10646))
> code point in charset: 0x1F514
>               script: symbol
>               syntax: w 	which means: word
>             category: .:Base
>             to input: type "C-x 8 RET HEX-CODEPOINT" or "C-x 8 RET NAME"
>          buffer code: #xF0 #x9F #x94 #x94
>            file code: #xF0 #x9F #x94 #x94 (encoded by coding system utf-8-unix)
>              display: no font available
> 
> Character code properties: customize what to show
>  name: BELL
>  general-category: So (Symbol, Other)
>  decomposition: (128276) ('🔔')
> 
> There are text properties here:
>  fontified            t
> 
> [back]
> 
> In GNU Emacs 24.3.50.1 (x86_64-apple-darwin, NS apple-appkit-1038.36)
> of 2013-10-10 on bob.porkrind.org
> Bzr revision: 114607 [email-masked]
> Windowing system distributor `Apple', version 10.3.1187
> Configured using:
> `configure --host=x86_64-apple-darwin --build=i686-apple-darwin
> --with-ns'
> 
> Important settings:
>  value of $LC_CTYPE: UTF-8
>  locale-coding-system: utf-8-unix
>  default enable-multibyte-characters: t
> 
> Major mode: Info
> 
> Minor modes in effect:
>  tooltip-mode: t
>  mouse-wheel-mode: t
>  tool-bar-mode: t
>  menu-bar-mode: t
>  file-name-shadow-mode: t
>  global-font-lock-mode: t
>  font-lock-mode: t
>  blink-cursor-mode: t
>  auto-composition-mode: t
>  auto-encryption-mode: t
>  auto-compression-mode: t
>  buffer-read-only: t
>  line-number-mode: t
>  transient-mark-mode: t
> 
> Recent input:
> C-x C-8 C-x 8 RET B E L L <return> <menu-bar> <help-menu> 
> <emacs-manual-bug> <menu-bar> <help-menu> <send-em
> acs-bug-report>
> 
> Recent messages:
> For information about GNU Emacs and the GNU system, type C-h C-a.
> 
> Load-path shadows:
> None found.
> 
> Features:
> (shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
> mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
> gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util
> mail-prsvr mail-utils jka-compr info easymenu iso-transl time-date
> tooltip ediff-hook vc-hooks lisp-float-type mwheel ns-win tool-bar dnd
> fontset image regexp-opt fringe tabulated-list newcomment lisp-mode
> prog-mode register page menu-bar rfn-eshadow timer select scroll-bar
> mouse jit-lock font-lock syntax facemenu font-core frame cham georgian
> utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
> japanese hebrew greek romanian slovak czech european ethiopic indian
> cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
> minibuffer nadvice loaddefs button faces cus-face macroexp files
> text-properties overlay sha1 md5 base64 format env code-pages mule
> custom widget hashtable-print-readable backquote make-network-process ns
> multi-tty emacs)
> 
> 
> 
> 
>